# Execute a Data Load Logic Executes the logic in the DMDataLoad context and returns the parameter definitions or test results. Endpoint: POST /datamart.distcalcparams/{typedId}/{logicName} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the Data Load you want to evaluate. Example: "2147483780.DMDL" - `logicName` (string, required) The name of the logic you want to execute. Example: "E2ETestsLogic" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.csrfToken` (string) - `response.data` (array) - `response.data.contextParameters` (array) - `response.data.contextParameters.name` (string) - `response.data.contextParameters.label` (string) - `response.data.contextParameters.lookupTableId` (any) - `response.data.contextParameters.url` (any) - `response.data.contextParameters.type` (string) - `response.data.contextParameters.value` (any) - `response.data.contextParameters.valueHint` (any) - `response.data.contextParameters.readOnly` (any) - `response.data.contextParameters.filter` (any) - `response.data.contextParameters.parameterGroup` (any) - `response.data.contextParameters.required` (any) - `response.data.contextParameters.labelTranslations` (any) - `response.data.contextParameters.addUnknownValues` (any) - `response.data.contextParameters.typedId` (any) - `response.data.contextParameters.alwaysEditable` (any) - `response.data.contextParameters.inputs` (array) - `response.data.contextParameters.parameterConfig` (object) - `response.data.contextParameters.parameterConfig.dataType` (string) - `response.data.contextParameters.formattingOptions` (object) - `response.data.contextParameters.valueOptions` (any)